Bug 901452 - Review Request: nodejs-dryice - A CommonJS/RequireJS packaging tool for browser scripts
Summary: Review Request: nodejs-dryice - A CommonJS/RequireJS packaging tool for brows...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tom Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 894725
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-01-18 08:58 UTC by T.C. Hollingsworth
Modified: 2013-05-07 18:23 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-27 03:05:18 UTC
Type: ---
tom: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description T.C. Hollingsworth 2013-01-18 08:58:23 UTC
Spec: http://patches.fedorapeople.org/npm/nodejs-dryice.spec
SRPM: http://patches.fedorapeople.org/npm/nodejs-dryice-0.4.10-1.fc17.src.rpm
Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=4880052
FAS username: patches

A CommonJS/RequireJS packaging tool for browser scripts.

It is basically just a copy function. It takes input from a set of input files,
which can be specified in various ways, optionally filters them and outputs them
to something else.

This package is part of the tap stack used to test many Node.js modules.

Please use nodejs-0.6.5-9 or later when building or using this package.

Comment 1 Tom Hughes 2013-04-06 11:16:05 UTC
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
No problems found. Package is approved.


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[-]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[x]: Sources contain only permissible code or content.
[-]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 30720 bytes in 2 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[-]: Buildroot is not present
     Note: Buildroot: present but not needed
[-]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-dryice-0.4.10-1.fc20.noarch.rpm
nodejs-dryice.noarch: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint nodejs-dryice
nodejs-dryice.noarch: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
# echo 'rpmlint-done:'



Requires
--------
nodejs-dryice (rpmlib, GLIBC filtered):
    nodejs(engine)
    npm(uglify-js)



Provides
--------
nodejs-dryice:
    nodejs-dryice
    npm(dryice)



MD5-sum check
-------------
http://registry.npmjs.org/dryice/-/dryice-0.4.10.tgz :
  CHECKSUM(SHA256) this package     : 9bc02cefa760869629c225ed427e498b92b6ccdf1a0f56420ce2062d2f52ed08
  CHECKSUM(SHA256) upstream package : 9bc02cefa760869629c225ed427e498b92b6ccdf1a0f56420ce2062d2f52ed08


Generated by fedora-review 0.4.0 (660ce56) last change: 2013-01-29
Buildroot used: compton-rawhide-x86_64
Command line :/usr/bin/fedora-review -m compton-rawhide-x86_64 -b 901452

Comment 2 Tom Hughes 2013-04-19 08:13:00 UTC
Did you miss my approval of this one in all the bugspam as well?

Comment 3 T.C. Hollingsworth 2013-04-19 22:51:55 UTC
And while going over my list of active bugs.  :-/  Thanks for the heads up!

New Package SCM Request
=======================
Package Name: nodejs-dryice
Short Description: A CommonJS/RequireJS packaging tool for browser scripts
Owners: patches
Branches: f19 f18 el6
InitialCC:

Comment 4 Gwyn Ciesla 2013-04-22 13:11:56 UTC
Git done (by process-git-requests).

Comment 5 Fedora Update System 2013-04-23 08:15:49 UTC
nodejs-dryice-0.4.10-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nodejs-dryice-0.4.10-1.fc19

Comment 6 Fedora Update System 2013-04-23 08:17:24 UTC
nodejs-dryice-0.4.10-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/nodejs-dryice-0.4.10-1.fc18

Comment 7 Fedora Update System 2013-04-23 08:28:26 UTC
nodejs-dryice-0.4.10-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/nodejs-dryice-0.4.10-1.el6

Comment 8 Fedora Update System 2013-04-23 16:47:23 UTC
nodejs-dryice-0.4.10-1.fc19 has been pushed to the Fedora 19 testing repository.

Comment 9 Fedora Update System 2013-04-27 03:05:19 UTC
nodejs-dryice-0.4.10-1.fc19 has been pushed to the Fedora 19 stable repository.

Comment 10 Fedora Update System 2013-05-07 18:23:22 UTC
nodejs-dryice-0.4.10-1.fc18 has been pushed to the Fedora 18 stable repository.


Note You need to log in before you can comment on or make changes to this bug.